This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 482870 - Spacewalk reference in the Installer
Spacewalk reference in the Installer
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Preethi Thomas
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2009-01-28 11:40 EST by Preethi Thomas
Modified: 2009-08-07 05:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 03:23:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-01-28 11:40:27 EST
Description of problem:
There is a spacewalk reference in the installer.

/sbin/restorecon reset /var/satellite context root:object_r:var_t:s0->system_u:object_r:spacewalk_data_t:s0


Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090127.2-i386-embedded-oracle.iso

How reproducible:
always 

Steps to Reproduce:
1. mount iso
2. ./install.pl

[root@fjs-0-20 iso]# ./install.pl --answer-file=/root/answers.txt 
* Starting the Red Hat Network Satellite installer.
* Loading answer file: /root/answers.txt.
* Performing pre-install checks.
* Pre-install checks complete.  Beginning installation.
* RHN Registration.
** Registration: System is already registered with RHN.  Not re-registering.
* Checking for uninstalled prerequisites.
** Checking if yum is available ...
There are some packages from Red Hat Enterprise Linux that are not part
of the @base group that Satellite will require to be installed on this
system. The installer will try resolve the dependencies automatically.
However, you may want to install these prerequisites manually.
Do you want the installer to resolve dependencies [y/N]? y
* Applying updates.
* Installing RHN packages.
Warning: more packages were installed by yum than expected:
        createrepo
        jakarta-taglibs-standard
        mkisofs
        python-devel
        tftp-server
        xinetd
Warning: yum did not install the following packages:
        squid
* Now running spacewalk-setup.
* Loading answer file: /root/answers.txt.
* Setting up Oracle environment.
* Setting up database.
** Database: Installing the embedded database (not the schema).
** Database: Shutting down the database first.
** Database: Installing the database:
** Database: This is a long process that is logged in:
** Database:   /var/log/rhn/install_db.log
*** Progress: ############################################
** Database: Installation complete.
** Database: Setting up database connection.
** Database: Testing database connection.
** Database: Populating database.
*** Progress: ##################################################################
* Setting up users and groups.
** GPG: Initializing GPG and importing key.
** GPG: Creating /root/.gnupg directory
* Performing initial configuration.
/sbin/restorecon reset /var/satellite context root:object_r:var_t:s0->system_u:object_r:spacewalk_data_t:s0

  
Actual results:
* Performing initial configuration.
/sbin/restorecon reset /var/satellite context root:object_r:var_t:s0->system_u:object_r:spacewalk_data_t:s0

Expected results:


Additional info:
Comment 1 Devan Goodwin 2009-01-28 15:00:35 EST
Reassigning to Jan, he'll know what's up with this.
Comment 2 Jan Pazdziora 2009-01-29 03:23:31 EST
We do not hide the fact that Satellite is based on Spacewalk. So the SELinux type is and will be spacewalk_data_t, and the setup script is and will be spacewalk-setup.

Please reopen if you disagree.

Note You need to log in before you can comment on or make changes to this bug.